com.pixelmed.test

## Class TestDicomDirectoryRecordSortOrder

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - com.pixelmed.test.TestDicomDirectoryRecordSortOrder

All Implemented Interfaces:
  junit.framework.Test

    public class TestDicomDirectoryRecordSortOrder
    extends junit.framework.TestCase

### Constructor Summary

Constructors
Constructor and Description
`TestDicomDirectoryRecordSortOrder(java.lang.String name)`

### Method Summary

Methods
`protected void` `setUp()`
`static junit.framework.Test` `suite()`
`protected void` `tearDown()`
`void` `TestDicomDirectoryRecordSortOrder_DifferentRecordTypesInteger()`
`void` `TestDicomDirectoryRecordSortOrder_DifferentRecordTypesString()`
`void` `TestDicomDirectoryRecordSortOrder_IdenticalPatientRecord()`
`void` `TestDicomDirectoryRecordSortOrder_IdenticalPatientStudySeriesAttributes()`
`void` `TestDicomDirectoryRecordSortOrder_IdenticalSeriesRecord()`
`void` `TestDicomDirectoryRecordSortOrder_IdenticalStudyRecord()`
`void` `TestDicomDirectoryRecordSortOrder_IdenticalUnrecognizedRecord()`
`void` `TestDicomDirectoryRecordSortOrder_SameStringDifferentUIDStudyRecord()`

### Methods inherited from class junit.framework.TestCase

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, countTestCases, createResult, fail, fail, failNotEquals, failNotSame, failSame, format, getName, run, run, runBare, runTest, setName, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TestDicomDirectoryRecordSortOrder

    public TestDicomDirectoryRecordSortOrder(java.lang.String name)

### Method Detail

#### suite

    public static junit.framework.Test suite()

#### setUp

    protected void setUp()

Overrides:
  `setUp` in class `junit.framework.TestCase`

#### tearDown

    protected void tearDown()

Overrides:
  `tearDown` in class `junit.framework.TestCase`

#### TestDicomDirectoryRecordSortOrder_IdenticalUnrecognizedRecord

    public void TestDicomDirectoryRecordSortOrder_IdenticalUnrecognizedRecord()
                                                                       throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### TestDicomDirectoryRecordSortOrder_IdenticalSeriesRecord

    public void TestDicomDirectoryRecordSortOrder_IdenticalSeriesRecord()
                                                                 throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### TestDicomDirectoryRecordSortOrder_IdenticalStudyRecord

    public void TestDicomDirectoryRecordSortOrder_IdenticalStudyRecord()
                                                                throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### TestDicomDirectoryRecordSortOrder_SameStringDifferentUIDStudyRecord

    public void TestDicomDirectoryRecordSortOrder_SameStringDifferentUIDStudyRecord()
                                                                             throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### TestDicomDirectoryRecordSortOrder_IdenticalPatientRecord

    public void TestDicomDirectoryRecordSortOrder_IdenticalPatientRecord()
                                                                  throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### TestDicomDirectoryRecordSortOrder_DifferentRecordTypesString

    public void TestDicomDirectoryRecordSortOrder_DifferentRecordTypesString()
                                                                      throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### TestDicomDirectoryRecordSortOrder_DifferentRecordTypesInteger

    public void TestDicomDirectoryRecordSortOrder_DifferentRecordTypesInteger()
                                                                       throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### TestDicomDirectoryRecordSortOrder_IdenticalPatientStudySeriesAttributes

    public void TestDicomDirectoryRecordSortOrder_IdenticalPatientStudySeriesAttributes()
                                                                                 throws java.lang.Exception

Throws:
  `java.lang.Exception`